Domain VerificationAdd a domain for verification

Add a domain for verification

curl -X POST "https://api.5centscdn.com/v2/account/dv" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "domain": "example.com"
}'
{
  "result": "success",
  "message": "Domain added. Please add TXT DNS record for verification",
  "domain": {
    "id": 12345,
    "serviceid": 10001,
    "domain": "example.com",
    "validated": "N",
    "txtrecord": {
      "host": "abc123def456",
      "ttl": 3600,
      "value": "xyz789uvw012"
    }
  }
}
POST
/account/dv
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
domainstring
Required

Top-level domain to verify (e.g. example.com). Subdomains are not accepted. Unicode/IDN domains are accepted and converted to punycode internally.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
domainstring
Required

Top-level domain to verify (e.g. example.com). Subdomains are not accepted. Unicode/IDN domains are accepted and converted to punycode internally.

Responses

resultstring

Operation outcome.

messagestring

Human-readable description of the operation outcome.

domainobject

Newly created domain verification record with TXT record details.